Bug 426905 - (CVE-2007-6631) CVE-2007-6631 Multiple libnemesi buffer overflow vulnerabilities
CVE-2007-6631 Multiple libnemesi buffer overflow vulnerabilities
Status: CLOSED RAWHIDE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.securityfocus.com/archive/...
impact=critical,source=bugtraq,report...
: Security
Depends On: 426908 426909 426910
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 04:54 EST by Lubomir Kundrak
Modified: 2008-01-03 20:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 20:58:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-28 04:54:44 EST
Description of problem:

Multiple buffer overflow vulnerabilities were reported [1] in libnemesi with
critical security impact that allow remote attacker to execute arbitrary code on
behalf of user of application that uses libnemesi.

[1] http://www.securityfocus.com/archive/1/485575

Additional information:

It seems to me that no application currently uses libnemesi. Is that true? In
that case severity of this is not that serious.
Comment 2 Dominik 'Rathann' Mierzejewski 2007-12-28 09:30:36 EST
> It seems to me that no application currently uses libnemesi. Is that true? In
> that case severity of this is not that serious.

Yes, it's true. I wanted libnemesi for alternate RTSP support in mplayer, but
current livna builds don't build against libnemesi yet.

I'll contact the author and get this resolved soon. Thanks for the report.
Comment 3 Dominik 'Rathann' Mierzejewski 2007-12-28 09:32:23 EST
Ah, I see an update that fixes this is available already.
Comment 4 Dominik 'Rathann' Mierzejewski 2007-12-28 09:57:07 EST
Hm actually it looks like libnemesi hasn't made it to any release yet (because
netembryo is still in testing), so this affects only rawhide.
Comment 5 Dominik 'Rathann' Mierzejewski 2007-12-28 10:03:56 EST
Building in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=312746 .
Comment 6 Lubomir Kundrak 2008-01-03 20:51:20 EST
CVE has assigned CVE-2007-6631 to this issue.

Note You need to log in before you can comment on or make changes to this bug.